org.restlet.engine.internal

## Class Activator

- java.lang.Object
- - org.restlet.engine.internal.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator

OSGi activator. It registers the NRE into the Restlet API and also introspect the bundles to find connector or authentication helpers.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

Methods
`void` `start(org.osgi.framework.BundleContext context)` Starts the OSGi bundle by registering the engine with the bundle of the Restlet API.
`void` `stop(org.osgi.framework.BundleContext context)` Stops the OSGi bundle by unregistering the engine with the bundle of the Restlet API.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Starts the OSGi bundle by registering the engine with the bundle of the Restlet API.

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Parameters:
  `context` - The bundle context.
Throws:
  `java.lang.Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Stops the OSGi bundle by unregistering the engine with the bundle of the Restlet API.

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Parameters:
  `context` - The bundle context.
Throws:
  `java.lang.Exception`